Error in build ath9k-htc-firmware
2014-02-16 02:34 AM - taro

Status: fixed % Done: 0%
Priority: bug

Assignee:

Category:

Description

Hi. | am building ath9k-htc-firmware.

The first error was solved by the following
http://comments.gmane.org/gmane.linux.distributions.parabola.devel/1701
and | have got the the following error then.

| tried to post the above URL and also
https://lists.parabolagnulinux.org/mailman/listinfo/assist

but the posts don't appear, so | ask here.

Please help if having any idea.

make?: Entering directory /mnt/tmp/taro-tmp/abslibre/libre/ath9k-htc-firmware
/src/open-ath9k-htc-firmware-1.3.2/target_firmware/build/k2'

[ 93%] Generating fw.elf

[ 96%] Generating fw.bin

/usr/bin/objcopy: Unable to recognise the format of the input file “fw.elf’
/usr/bin/objcopy: --change-section-vma .text+0xffffffffffc00000 never used
/usr/bin/objcopy: --change-section-Ima .text+0xffffffffffc00000 never used
CMakeFiles/gen-firmware.dir/build.make:59: recipe for target 'fw.bin’ failed
make?: *** [fw.bin] Error 1

make?: Leaving directory /mnt/tmp/taro-tmp/abslibre/libre/ath9k-htc-firmware/

History

#1 - 2014-02-18 03:09 AM - taro

The (temporary) solution, which works for me, is shown at:
https://lists.parabolagnulinux.org/pipermail/dev/2014-February/002095.html
or
http://comments.gmane.org/gmane.linux.distributions.parabola.devel/1701

#2 - 2014-02-22 03:32 PM - Anonymous

- Status changed from open to fixed

it was solved adding symlinks on xtensa packages [0]. thanks for the report!

[0] https://projects.parabolagnulinux.org/abslibre.git/commit/?id=957ee6a3bce1e19ca380a6573410f32d49da3316
